
Automated Build Generator - Bug #2017
Generator fails with UTF-8 stream decoding error
09/23/2014 01:09 PM - S. Meyer zu Borgsen

Status: Resolved Start date: 09/23/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3
Description

When the generator analyses the Open CV project it fails with:

2 problems during ANALYZE/PROJECT phase:
ANALYSIS-ERROR:
    Error during analysis of #&lt;PROJECT-SPEC opencv {100B804193}&gt; Caused by:
    > Error during analysis of /tmp/project.o2zSQg/opencv.git/ Caused by:
    > > :UTF-8 stream decoding error on #&lt;SB-SYS:FD-STREAM for "descriptor 6" {10085C3F13}&gt;: the octet sequence
#(228 109 101) cannot be decoded.
ANALYSIS-ERROR:
    Error during analysis of #&lt;PROJECT-SPEC opencv {100B804193}&gt; Caused by:
    > Error during analysis of /tmp/project.o2zSQg/opencv.git/ Caused by:
    > > Command ("git" "--no-pager" "--git-dir=/tmp/project.o2zSQg/opencv.git//.git" "log" "--pretty=format:%an <%ae>") failed in
directory #P"/tmp/project.o2zSQg/opencv.git/"

Associated revisions
Revision 9c46c296 - 09/24/2014 08:10 PM - J. Moringen

Use encoding-error-ignoring external format if possible

fixes #2017

    -  src/analysis/util.lisp (safe-external-format-argument): new function;
  return an :external-format argument that prevents encoding problems
  from signaling errors
  (read-file-into-string*): new function; like `read-file-into-string'
  but use safe external format

    -  src/analysis/cmake.lisp (analyze pathname eql :cmake): use
  `read-file-into-string*'

    -  src/analysis/pkg-config.lisp (header): updated copyright
  (analyze pathname eql :pkg-config): use `read-file-into-string*'

    -  src/analysis/setuptools.lisp (header): updated copyright
  (analyze pathname eql :setuptools): use `read-file-into-string*'

Revision 30b8711e - 09/26/2014 04:10 PM - J. Moringen

Use safe external format when parsing log messages in src/analysis/{git,subversion}.lisp

fixes #2017

    -  src/analysis/git.lisp (analyze pathname eql :git/authors): execute git
  command with safe external format for input and output streams
    -  src/analysis/subversion.lisp (analyze pathname eql :svn/auhtors):

  similar

History
#1 - 09/24/2014 08:17 PM - J. Moringen
- Category set to Project Analysis
- Status changed from New to In Progress
- Target version set to 0.3

#2 - 09/24/2014 08:24 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9c46c296567fa086cc96ec1fde30945dc4dcb2fc.

#3 - 09/26/2014 10:28 AM - S. Meyer zu Borgsen
- Status changed from Resolved to Feedback

Build #64 still gives:

  ANALYSIS-ERROR:
    Error during analysis of #<PROJECT-SPEC opencv {100AFB1E23}> Caused by:
    > Error during analysis of /tmp/project.80rgDN/opencv.git/ Caused by:
    > > :UTF-8 stream decoding error on #<SB-SYS:FD-STREAM for "descriptor 6" {1008D9BF13}>: the octet sequence #(228 109 101)
cannot be decoded.

  ANALYSIS-ERROR:
    Error during analysis of #<PROJECT-SPEC opencv {100AFB1E23}> Caused by:
    > Error during analysis of /tmp/project.80rgDN/opencv.git/ Caused by:
    > > Command ("git" "--no-pager" "--git-dir=/tmp/project.80rgDN/opencv.git//.git" "log" "--pretty=format:%an <%ae>") failed in directory
#P"/tmp/project.80rgDN/opencv.git/" 

#4 - 09/26/2014 11:26 AM - J. Moringen
- % Done changed from 100 to 50

Yeah, I fixed the decoding of file content, but missed the decoding of pipe content. I have a fix in my working copy. Will probably commit today.

#5 - 09/26/2014 04:40 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 50 to 100
Applied in changeset commit:30b8711eb5b5da211c7bd0be72c9cd256dbae311.
